Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360667 - Need important corrections in the satellite upgrade instructions "Chapter 6. Upgrading Satellite Server and Capsule Server"
Summary: Need important corrections in the satellite upgrade instructions "Chapter 6. ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.2
Assignee: Stephen Wadeley
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 09:35 UTC by Ashish Humbe
Modified: 2018-12-06 20:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 23:08:01 UTC


Attachments (Terms of Use)

Description Ashish Humbe 2016-07-27 09:35:17 UTC
Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide

** Section Number and Name: 
6.1.1. Upgrading Satellite Server

Describe the issue: 

A: 
================
4. If you have made manual edits to DNS or DHCP configuration files and do not want the changes overwritten, run the following command.

# satellite-installer --scenario satellite --upgrade --foreman-proxy-dns-managed=false --foreman-proxy-dhcp-managed=false
================

As the satellite server is not upgraded to 6.2 yet so the command should be "katello-installer". Also it is not required to use --upgrade option. So the command should be like: 

# katello-installer  --foreman-proxy-dns-managed=false --foreman-proxy-dhcp-managed=false


B: 
================
7. Ensure your Satellite Server is at the latest version.

# satellite-installer --scenario satellite --upgrade
================

Here as well the satellite is at 6.1 state so the command should be: 

# katello-installer --upgrade

C: 

At the end of satellite upgrade we need step to enable and sync "rhel-7-server-satellite-tools-6.2-rpms" "rhel-6-server-satellite-tools-6.2-rpms".


** Section Number and Name: 
6.2.2. Upgrading To Disconnected Satellite Server version 6.2

Describe the issue: 

D:

============
7. Run the installer with the --upgrade option. 
# satellite-installer --scenario satellite --upgrade

    a. (Optional) To view installer change log, run the installer with the --noop option.
    # satellite-installer --scenario satellite --noop
============

The command with --noop option should be listed before the actual upgrade. Also, the command with --noop should have --upgrade flag enabled.

    # satellite-installer --scenario satellite --upgrade --noop 


** Section Number and Name: 
6.3. Upgrading Capsule Servers

Describe the issue: 

E:
============
8. Go to Hosts > Discovered hosts. If there are discovered hosts available, turn them off and then delete all entries under the Discovered hosts page. Select all other organizations in turn using the organization setting menu and repeat this action as required. Reboot these hosts after the upgrade has completed. 
============

This step need to be followed via satellite webui. So we should mention it specifically.



** Section Number and Name: 
6.5. Upgrading Satellite Clients

Describe the issue: 

F:

===========
1. Log in to the client system and enable the Satellite tools repository.

    On Red Hat Enterprise Linux 7, run the following command:

    # subscription-manager repos --enable=rhel-7-server-satellite-tools-6.2-rpms

    On Red Hat Enterprise Linux 6, run the following command:

    # subscription-manager repos --enable=rhel-6-server-satellite-tools-6.2-rpms
===========

On existing RHEL5/6/7 client systems registered to the satellite v 6 will have satellite-tools 6.1 rpms repository enabled so we need to disable that first. 

Also, before enabling the repository on the client systems we need to sync it on the newly upgraded satellite server v 6.2. 

G:

===========
2. Synchronize the repository.

# hammer repository synchronize --id ID
===========

The step to enable and sync tools 6.2 repository should be under below sections, as mentioned in point "C"

6.1.1. Upgrading Satellite Server
6.2.2. Upgrading To Disconnected Satellite Server version 6.2

Comment 1 Ashish Humbe 2016-07-27 09:39:08 UTC
** Section Number and Name: 
3.2.2. Configuring the Base System with Offline Repositories

Describe the issue: 

H:

===========
6. Mount the ISO image to the mount point.

mount -o loop sat6-DVD.iso /media/sat6

The following example shows mounting the ISO using Red Hat Enterprise Linux 7.2:

# mount -o loop satellite-6.2-rhel-7-x86_64-dvd.iso /media/sat6
mount: /dev/loop1 is write-protected, mounting read-only

7. Verify that the repositories have been configured.

# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
repo id              repo name                     status
InstallMedia         Red Hat Enterprise Linux 7.2  4,620
katello-local        katello-local                 405
scl-local            scl-local                     2,362
repolist: 7,387
==========


After mounting the Satellite v 6.2 ISO, I think we need to copy some .repo file to the /etc/yum.repos.d/ directory to make that repo available for yum. The required step or changes are missing in point 6 or 7

Comment 2 Ashish Humbe 2016-07-27 09:48:37 UTC
6.3. Upgrading Capsule Servers

I:

============
15. If you want to see the changes that will be applied when the upgrade occurs, run the installer with the --noop option.

# satellite-installer --scenario capsule --upgrade --verbose --noop

Review the /var/log/foreman-installer/satellite.log to see what changes would be applied if the --noop option was omitted. Look for the +++ and --- symbols indicating changes to configurations files. 
============

Here do we need to pass the --certs-tar with tar file or its optional? 
Also, the logfile name is /var/log/foreman-installer/satellite.log  or capsule.log as the scenario used is "capsule"

Comment 3 Andrew Dahms 2016-07-27 10:15:01 UTC
Setting release flags.

Comment 15 Stephen Wadeley 2016-07-27 14:54:00 UTC
(In reply to Ashish Humbe from comment #1)
> ** Section Number and Name: 
> 3.2.2. Configuring the Base System with Offline Repositories
> 
> Describe the issue: 
> 
> H:
> 
> ===========
> 6. Mount the ISO image to the mount point.
> 
> mount -o loop sat6-DVD.iso /media/sat6
> 
> The following example shows mounting the ISO using Red Hat Enterprise Linux
> 7.2:
> 
> # mount -o loop satellite-6.2-rhel-7-x86_64-dvd.iso /media/sat6
> mount: /dev/loop1 is write-protected, mounting read-only
> 
> 7. Verify that the repositories have been configured.
> 
> # yum repolist
> Loaded plugins: product-id, search-disabled-repos, subscription-manager
> This system is not registered to Red Hat Subscription Management. You can
> use subscription-manager to register.
> repo id              repo name                     status
> InstallMedia         Red Hat Enterprise Linux 7.2  4,620
> katello-local        katello-local                 405
> scl-local            scl-local                     2,362
> repolist: 7,387
> ==========
> 
> 
> After mounting the Satellite v 6.2 ISO, I think we need to copy some .repo
> file to the /etc/yum.repos.d/ directory to make that repo available for yum.
> The required step or changes are missing in point 6 or 7

Hello Ashish

What about Step 3 [1]?
"Copy the ISO file’s repository data file. "

There is a line missing which used to say something like "Where X is the version of the base system".

[1] Configuring the Base System with Offline Repositories - https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide#configuring_the_base_system_with_offline_repositories

Comment 17 Ashish Humbe 2016-07-28 08:43:25 UTC
(In reply to Stephen Wadeley from comment #15)
> (In reply to Ashish Humbe from comment #1)
> > ** Section Number and Name: 
> > 3.2.2. Configuring the Base System with Offline Repositories
> > 
> > Describe the issue: 
> > 
> > H:
> > 
> > ===========
> > 6. Mount the ISO image to the mount point.
> > 
> > mount -o loop sat6-DVD.iso /media/sat6
> > 
> > The following example shows mounting the ISO using Red Hat Enterprise Linux
> > 7.2:
> > 
> > # mount -o loop satellite-6.2-rhel-7-x86_64-dvd.iso /media/sat6
> > mount: /dev/loop1 is write-protected, mounting read-only
> > 
> > 7. Verify that the repositories have been configured.
> > 
> > # yum repolist
> > Loaded plugins: product-id, search-disabled-repos, subscription-manager
> > This system is not registered to Red Hat Subscription Management. You can
> > use subscription-manager to register.
> > repo id              repo name                     status
> > InstallMedia         Red Hat Enterprise Linux 7.2  4,620
> > katello-local        katello-local                 405
> > scl-local            scl-local                     2,362
> > repolist: 7,387
> > ==========
> > 
> > 
> > After mounting the Satellite v 6.2 ISO, I think we need to copy some .repo
> > file to the /etc/yum.repos.d/ directory to make that repo available for yum.
> > The required step or changes are missing in point 6 or 7
> 
> Hello Ashish
> 
> What about Step 3 [1]?
> "Copy the ISO file’s repository data file. "
> 
> There is a line missing which used to say something like "Where X is the
> version of the base system".
> 
> [1] Configuring the Base System with Offline Repositories -
> https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/
> installation-guide#configuring_the_base_system_with_offline_repositories

Hi,

Steps for RHEL installation media repo copy are correct, currently we do not have steps to copy media repo file from the satellite ISO file which will provide scl-local & katello-local repositories. 

In Sat6.2 ISO I see that there are 2 media files RHSCL/media.repo (For RHSCL packages) and media.repo (For satellite packages). We need instructions in documentation to copy these files to /etc/yum.repos.d/ with proper content, like step 3 & 4 before step 7. 

Regards,

Comment 18 Ashish Humbe 2016-07-29 07:25:17 UTC
As per the bugzilla - https://bugzilla.redhat.com/show_bug.cgi?id=1358309 

There are some extra steps required for openscap data migration from v 6.1 to v 6.2. 

Can we include them in the upgrade section asap?

Comment 37 Andrew Dahms 2016-08-03 02:07:00 UTC
Moving the QA contact for this bug to Russell.

Russell - would you be able to review the changes requested here?

Comment 47 Andrew Dahms 2016-08-14 23:08:01 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.